Skip to main content
GET
/
calls
/
{call_id}
Get Call
curl --request GET \
  --url https://api.talentunveiled.com/api/v1/calls/{call_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider": "vapi",
  "recording_audio_url": "<string>",
  "recording_video_url": "<string>",
  "transcript": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

API key authentication for public API, validated against WorkOS.

Path Parameters

call_id
string<uuid>
required

Response

200 - application/json
id
string<uuid>
required
read-only
provider
enum<string>
required

Call provider (denormalized from profile)

  • vapi - VAPI
Available options:
vapi
status
enum<string>
required

Current call status

  • pending - Pending
  • scheduled - Scheduled
  • queued - Queued
  • in_progress - In Progress
  • completed - Completed
  • failed - Failed
  • cancelled - Cancelled
Available options:
pending,
scheduled,
queued,
in_progress,
completed,
failed,
cancelled
ended_reason
enum<string>
required

Categorized reason why call ended

  • assistant_ended - Assistant Ended Call
  • customer_ended - Customer Ended Call
  • max_duration - Max Duration Reached
  • silence_timeout - Silence Timeout
  • customer_busy - Customer Busy
  • customer_no_answer - Customer Did Not Answer
  • voicemail - Voicemail Reached
  • assistant_error - Assistant Error
  • pipeline_error - Pipeline Error
  • provider_error - Provider Error
  • manually_canceled - Manually Canceled
  • forwarded - Call Forwarded
  • unknown - Unknown
Available options:
assistant_ended,
customer_ended,
max_duration,
silence_timeout,
customer_busy,
customer_no_answer,
voicemail,
assistant_error,
pipeline_error,
provider_error,
manually_canceled,
forwarded,
unknown
recording_audio_url
string | null
required
read-only
recording_video_url
string | null
required
read-only
transcript
object[]
required
read-only